PUT
/api/ApiKeys/{id}/webhook
const url = 'https://example.com/api/ApiKeys/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/webhook';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","merchantId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","webhookUrl":"https://example.com","webhookEvents":["example"],"webhookEnabled":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/ApiKeys/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/webhook \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "merchantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "webhookUrl": "https://example.com", "webhookEvents": [ "example" ], "webhookEnabled": true }'Sets the webhook URL, subscribed event types, and enabled flag for this API key.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Request Body
Section titled “Request Body ”object
id
required
string format: uuid
merchantId
required
string format: uuid
webhookUrl
string format: uri
webhookEvents
Array<string>
webhookEnabled
boolean
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "merchantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "webhookUrl": "https://example.com", "webhookEvents": [ "example" ], "webhookEnabled": true}object
id
required
string format: uuid
merchantId
required
string format: uuid
webhookUrl
string format: uri
webhookEvents
Array<string>
webhookEnabled
boolean
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "merchantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "webhookUrl": "https://example.com", "webhookEvents": [ "example" ], "webhookEnabled": true}object
id
required
string format: uuid
merchantId
required
string format: uuid
webhookUrl
string format: uri
webhookEvents
Array<string>
webhookEnabled
boolean
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "merchantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "webhookUrl": "https://example.com", "webhookEvents": [ "example" ], "webhookEnabled": true}Responses
Section titled “ Responses ”OK
Media type application/json
object
id
string format: uuid
name
string
keyPrefix
string
signingSecretPrefix
string
webhookUrl
string
webhookEvents
Array<string>
webhookEnabled
boolean
expiresAt
string format: date-time
lastUsedAt
string format: date-time
revokedAt
string format: date-time
createdAt
string format: date-time
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "keyPrefix": "example", "signingSecretPrefix": "example", "webhookUrl": "example", "webhookEvents": [ "example" ], "webhookEnabled": true, "expiresAt": "2026-04-15T12:00:00Z", "lastUsedAt": "2026-04-15T12:00:00Z", "revokedAt": "2026-04-15T12:00:00Z", "createdAt": "2026-04-15T12:00:00Z"}Bad Request
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}